﻿CREATE TABLE [dbo].[Listings] (
    [ListingId]             INT             IDENTITY (1, 1) NOT NULL,
    [PropertyType]          VARCHAR (5)     NOT NULL,
    [ListingPerson]         INT             NOT NULL,
    [ContactPerson]         VARCHAR (20)    NOT NULL,
    [clientUrl]             VARCHAR (200)   NOT NULL,
    [PhoneNo]               VARCHAR (20)    NULL,
    [DontShowPhoneNo]       BIT             NULL,
    [ListPrice]             DECIMAL (18, 2) NULL,
    [DontShowListPrice]     BIT             NULL,
    [SquareFootage]         DECIMAL (18, 4) NULL,
    [DontShowSquareFootage] BIT             NULL,
    [NoOfBathrooms]         DECIMAL (18, 2) NULL,
    [NoOfBedrooms]          DECIMAL (18, 2) NULL,
    [MainSellingDesc]       VARCHAR (500)   NULL,
    [LocationDesc]          VARCHAR (500)   NULL,
    [KitchenDesc]           VARCHAR (500)   NULL,
    [Address]               NVARCHAR (200)  NULL,
    [City]                  NVARCHAR (56)   NULL,
    [Province]              NVARCHAR (56)   NULL,
    [PostalCode]            NVARCHAR (20)   NULL,
    [IsPrivateSeller]       BIT             NULL,
    [UserId]                INT             NULL,
    CONSTRAINT [PK_Listings] PRIMARY KEY CLUSTERED ([ListingId] ASC),
    CONSTRAINT [FK_Listings_PropertyTypes] FOREIGN KEY ([PropertyType]) REFERENCES [dbo].[PropertyTypes] ([PropertyTypeId])
);

